#!/usr/bin/env python
import re
import os
import sys
from distutils.core import setup

def get_data_files():
    # From http://subway.python-hosting.com/ticket/28
    # Solves problem with package_data which isn't supported by
    # python 2.3.
    data = []
    dot = re.compile('.*'+os.path.sep+'\..*')
    dl = ''
    for d in os.walk(os.path.join('src', 'skeleton')):
        if not os.path.basename(d[0]).startswith(".") and not dot.match(d[0]):
            for f in d[2]:
                if not f.startswith("."):
                    dl = os.path.join(sys.prefix,
                                      'lib',
                                      'python'+sys.version[:3],
                                      'site-packages',
                                      'instancemanager')
                    data.append((dl, [os.path.join(d[0], f)]))
    return data

setup(name='instancemanager',
      version='0.2',
      description='Manager for zope instances',
      author='Reinout van Rees',
      author_email='reinout@vanrees.org',
      url='http://plone.org/products/instance-manager',
      packages=['instancemanager'],
      package_dir={'instancemanager': 'src'},
      #package_data={'instancemanager': ['skeleton/*']},
      data_files=get_data_files(),
      scripts=['src/instancemanager'],
      )
